#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
	int n,q;
	cin >> n >> q;
	vector<int> a(n);
	for(int i=0; i<n; i++)cin >> a[i];
	//cout <<  endl << endl;
	//for(auto x:a)cout << x << " ";
	for(int i=0; i<q; i++){
        int x;
        cin >> x;
        int manji=0,veci=0,e=0;
	for (int i=0; i<n; i++) {
		if (a[i]==x)
			e++;
		else if (a[i]>x)
			veci++;
		else if (a[i]<x)
			manji++;
	}
	int res=0;
	if (manji>veci)
		res=manji-veci-1;
	else if (manji<veci)
		res=veci-manji;
		//cout << "Veci je = " << veci <<" ,manji je = " << manji << " ,e je = " << e << " , res je = " << res << endl;
        /*if(res!=0)cout << res+1-e << endl;
        else cout << res << endl;*/
            cout << res+1-e << endl;
	}
	return 0;
}